//! This crate defines a compact binary serialization format for use in the Block Tree system.

mod de;
mod error;
mod reader;
mod ser;

#[cfg(test)]
mod dependency_tests;

pub use error::{Error, Result};

pub use ser::{to_vec, write_to, Serializer};

pub use de::{from_slice, from_vec, read_from, Deserializer};
